function [] = GA_plot_chi_convergence(fignumber, savefolder_run, chi_best_solution)
%% Chi convergence history
figure(fignumber)
clf
semilogx(chi_best_solution, 'LineWidth', 2);
xlabel('Number of generation');
ylabel('Value of objective function (chi)');
if exist([savefolder_run 'Figures/'])~= 7
    mkdir([savefolder_run 'Figures/']);
end
 saveas(gcf,[savefolder_run 'Figures/chi_convergence.png']);
 saveas(gcf,[savefolder_run 'Figures/chi_convergence.fig']);
end