function [] = GA_plot_encountering_matrix(fignumber, savefolder_run, encountering_matrix, number_of_xrs_spectra)
%% Encountering matrix
figure(fignumber)
clf
[encountering_matrix_distr encountering_matrix_bins] = hist(encountering_matrix(1:number_of_xrs_spectra,1),max(encountering_matrix(1:number_of_xrs_spectra,1))-min(encountering_matrix(1:number_of_xrs_spectra,1)));
subplot(1,2,1)
 plot(encountering_matrix(1:number_of_xrs_spectra,1));
 xlabel('Index of the spectrum');
 ylabel('Encountering rate');
 title('Encountering rate');

subplot(1,2,2)
 bar(encountering_matrix_bins, encountering_matrix_distr);
  xlabel('Encountering rate');
  ylabel('Distribution');
 title(['Encountering distribution: min - ', int2str(min(encountering_matrix(1:number_of_xrs_spectra,1))), ', max - ', int2str(max(encountering_matrix(1:number_of_xrs_spectra,1)))]);
if exist([savefolder_run 'Figures/'])~= 7
    mkdir([savefolder_run 'Figures/']);
end

 saveas(gcf,[savefolder_run 'Figures/encountering_rate.png']);
 saveas(gcf,[savefolder_run 'Figures/encountering_rate.fig']);
end